// Copyright 2011 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include <QtGui/QApplication>
#include <QTranslator>
#include <QLocale>
#include <QWebSettings>
#include <QDir>
#include <QLibraryInfo>
#include "lightweight.h"

int main(int argc, char *argv[]) {
	QApplication a(argc, argv);

	a.setApplicationName("Lightweight2");
	a.setOrganizationName("Lightweight2");
	a.setApplicationVersion("1.2");

	//Create used directorys
	QDir(QDir::homePath()).mkpath(".lightweight2/bookmarkicons");
	QDir(QDir::homePath()).mkpath(".lightweight2/searchengines");
	QDir(QDir::homePath()).mkpath("Downloads");

	Download::manager = new QNetworkAccessManager();
	WebView::manager = new QNetworkAccessManager();

	//Load translations
	QTranslator transqt;
	QTranslator trans;
	transqt.load(QLibraryInfo::location(QLibraryInfo::TranslationsPath)+QString("/qt_%1").arg(QLocale::system().name()), QCoreApplication::applicationDirPath());
	trans.load(QString("ts/Lightweight2_%1").arg(QLocale::system().name()), QCoreApplication::applicationDirPath());
	a.installTranslator(&transqt);
	a.installTranslator(&trans);

	QWebSettings::globalSettings()->setIconDatabasePath(QDir::homePath() + "/.lightweight2");;

	Lightweight w;
	QStringList urls = a.arguments();
	for (int i = 1; i < urls.size(); i++) { //Skip first "url": its the app-path
		QString url = (QString) urls.value(i);
		w.openUrl(url);
	}

	w.show();

	return a.exec();
}
